Bug 45311 - Bug in constructor of AndroidHttpResponseMessage
Summary: Bug in constructor of AndroidHttpResponseMessage
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: BCL Class Libraries (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Habersack
URL:
Depends on:
Blocks:
 
Reported: 2016-10-12 11:36 UTC by David Petrík
Modified: 2016-10-13 12:39 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description David Petrík 2016-10-12 11:36:31 UTC
We added your code around namespace Xamarin.Android.Net from GitHub directly into our project. Compiler found strange warning.

public AndroidHttpResponseMessage (URL javaUrl, HttpURLConnection httpConnection) {
			javaUrl = javaUrl;
			httpConnection = httpConnection;
		}


Warning	CS1717	Assignment made to same variable; did you mean to assign something else

This look like a bug. There must be "this" keyword, if you wan't to access class members :-)

David
Comment 1 Sam 2016-10-12 11:52:02 UTC
Would not cause an issue as the private field is never used.
Comment 2 David Petrík 2016-10-12 13:13:22 UTC
Private field is used in Dispose method. Correct disposing coul'd be important. It must consider the author of the code
Comment 3 Marek Habersack 2016-10-13 12:39:29 UTC
Fixed in https://github.com/xamarin/xamarin-android/pull/264 , thanks for spotting the issue!

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.